/*
 * Copyright (c) 2010, 2013, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

Scene                                   = Java.type("javafx.scene.Scene");
Group                                   = Java.type("javafx.scene.Group");
Stage                                   = Java.type("javafx.stage.Stage");

Binding                                 = Java.type("javafx.beans.binding.Binding");
Bindings                                = Java.type("javafx.beans.binding.Bindings");
BooleanBinding                          = Java.type("javafx.beans.binding.BooleanBinding");
BooleanExpression                       = Java.type("javafx.beans.binding.BooleanExpression");
DoubleBinding                           = Java.type("javafx.beans.binding.DoubleBinding");
DoubleExpression                        = Java.type("javafx.beans.binding.DoubleExpression");
FloatBinding                            = Java.type("javafx.beans.binding.FloatBinding");
FloatExpression                         = Java.type("javafx.beans.binding.FloatExpression");
IntegerBinding                          = Java.type("javafx.beans.binding.IntegerBinding");
IntegerExpression                       = Java.type("javafx.beans.binding.IntegerExpression");
ListBinding                             = Java.type("javafx.beans.binding.ListBinding");
ListExpression                          = Java.type("javafx.beans.binding.ListExpression");
LongBinding                             = Java.type("javafx.beans.binding.LongBinding");
LongExpression                          = Java.type("javafx.beans.binding.LongExpression");
MapBinding                              = Java.type("javafx.beans.binding.MapBinding");
MapExpression                           = Java.type("javafx.beans.binding.MapExpression");
NumberBinding                           = Java.type("javafx.beans.binding.NumberBinding");
NumberExpression                        = Java.type("javafx.beans.binding.NumberExpression");
NumberExpressionBase                    = Java.type("javafx.beans.binding.NumberExpressionBase");
ObjectBinding                           = Java.type("javafx.beans.binding.ObjectBinding");
ObjectExpression                        = Java.type("javafx.beans.binding.ObjectExpression");
SetBinding                              = Java.type("javafx.beans.binding.SetBinding");
SetExpression                           = Java.type("javafx.beans.binding.SetExpression");
StringBinding                           = Java.type("javafx.beans.binding.StringBinding");
StringExpression                        = Java.type("javafx.beans.binding.StringExpression");
When                                    = Java.type("javafx.beans.binding.When");
DefaultProperty                         = Java.type("javafx.beans.DefaultProperty");
InvalidationListener                    = Java.type("javafx.beans.InvalidationListener");
Observable                              = Java.type("javafx.beans.Observable");
JavaBeanBooleanProperty                 = Java.type("javafx.beans.property.adapter.JavaBeanBooleanProperty");
JavaBeanBooleanPropertyBuilder          = Java.type("javafx.beans.property.adapter.JavaBeanBooleanPropertyBuilder");
JavaBeanDoubleProperty                  = Java.type("javafx.beans.property.adapter.JavaBeanDoubleProperty");
JavaBeanDoublePropertyBuilder           = Java.type("javafx.beans.property.adapter.JavaBeanDoublePropertyBuilder");
JavaBeanFloatProperty                   = Java.type("javafx.beans.property.adapter.JavaBeanFloatProperty");
JavaBeanFloatPropertyBuilder            = Java.type("javafx.beans.property.adapter.JavaBeanFloatPropertyBuilder");
JavaBeanIntegerProperty                 = Java.type("javafx.beans.property.adapter.JavaBeanIntegerProperty");
JavaBeanIntegerPropertyBuilder          = Java.type("javafx.beans.property.adapter.JavaBeanIntegerPropertyBuilder");
JavaBeanLongProperty                    = Java.type("javafx.beans.property.adapter.JavaBeanLongProperty");
JavaBeanLongPropertyBuilder             = Java.type("javafx.beans.property.adapter.JavaBeanLongPropertyBuilder");
JavaBeanObjectProperty                  = Java.type("javafx.beans.property.adapter.JavaBeanObjectProperty");
JavaBeanObjectPropertyBuilder           = Java.type("javafx.beans.property.adapter.JavaBeanObjectPropertyBuilder");
JavaBeanProperty                        = Java.type("javafx.beans.property.adapter.JavaBeanProperty");
JavaBeanStringProperty                  = Java.type("javafx.beans.property.adapter.JavaBeanStringProperty");
JavaBeanStringPropertyBuilder           = Java.type("javafx.beans.property.adapter.JavaBeanStringPropertyBuilder");
ReadOnlyJavaBeanBooleanProperty         = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanBooleanProperty");
ReadOnlyJavaBeanBooleanPropertyBuilder  = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanBooleanPropertyBuilder");
ReadOnlyJavaBeanDoubleProperty          = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanDoubleProperty");
ReadOnlyJavaBeanDoublePropertyBuilder   = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanDoublePropertyBuilder");
ReadOnlyJavaBeanFloatProperty           = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanFloatProperty");
ReadOnlyJavaBeanFloatPropertyBuilder    = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanFloatPropertyBuilder");
ReadOnlyJavaBeanIntegerProperty         = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanIntegerProperty");
ReadOnlyJavaBeanIntegerPropertyBuilder  = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanIntegerPropertyBuilder");
ReadOnlyJavaBeanLongProperty            = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanLongProperty");
ReadOnlyJavaBeanLongPropertyBuilder     = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanLongPropertyBuilder");
ReadOnlyJavaBeanObjectProperty          = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanObjectProperty");
ReadOnlyJavaBeanObjectPropertyBuilder   = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanObjectPropertyBuilder");
ReadOnlyJavaBeanProperty                = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanProperty");
ReadOnlyJavaBeanStringProperty          = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanStringProperty");
ReadOnlyJavaBeanStringPropertyBuilder   = Java.type("javafx.beans.property.adapter.ReadOnlyJavaBeanStringPropertyBuilder");
BooleanProperty                         = Java.type("javafx.beans.property.BooleanProperty");
BooleanPropertyBase                     = Java.type("javafx.beans.property.BooleanPropertyBase");
DoubleProperty                          = Java.type("javafx.beans.property.DoubleProperty");
DoublePropertyBase                      = Java.type("javafx.beans.property.DoublePropertyBase");
FloatProperty                           = Java.type("javafx.beans.property.FloatProperty");
FloatPropertyBase                       = Java.type("javafx.beans.property.FloatPropertyBase");
IntegerProperty                         = Java.type("javafx.beans.property.IntegerProperty");
IntegerPropertyBase                     = Java.type("javafx.beans.property.IntegerPropertyBase");
ListProperty                            = Java.type("javafx.beans.property.ListProperty");
ListPropertyBase                        = Java.type("javafx.beans.property.ListPropertyBase");
LongProperty                            = Java.type("javafx.beans.property.LongProperty");
LongPropertyBase                        = Java.type("javafx.beans.property.LongPropertyBase");
MapProperty                             = Java.type("javafx.beans.property.MapProperty");
MapPropertyBase                         = Java.type("javafx.beans.property.MapPropertyBase");
ObjectProperty                          = Java.type("javafx.beans.property.ObjectProperty");
ObjectPropertyBase                      = Java.type("javafx.beans.property.ObjectPropertyBase");
Property                                = Java.type("javafx.beans.property.Property");
ReadOnlyBooleanProperty                 = Java.type("javafx.beans.property.ReadOnlyBooleanProperty");
ReadOnlyBooleanPropertyBase             = Java.type("javafx.beans.property.ReadOnlyBooleanPropertyBase");
ReadOnlyBooleanWrapper                  = Java.type("javafx.beans.property.ReadOnlyBooleanWrapper");
ReadOnlyDoubleProperty                  = Java.type("javafx.beans.property.ReadOnlyDoubleProperty");
ReadOnlyDoublePropertyBase              = Java.type("javafx.beans.property.ReadOnlyDoublePropertyBase");
ReadOnlyDoubleWrapper                   = Java.type("javafx.beans.property.ReadOnlyDoubleWrapper");
ReadOnlyFloatProperty                   = Java.type("javafx.beans.property.ReadOnlyFloatProperty");
ReadOnlyFloatPropertyBase               = Java.type("javafx.beans.property.ReadOnlyFloatPropertyBase");
ReadOnlyFloatWrapper                    = Java.type("javafx.beans.property.ReadOnlyFloatWrapper");
ReadOnlyIntegerProperty                 = Java.type("javafx.beans.property.ReadOnlyIntegerProperty");
ReadOnlyIntegerPropertyBase             = Java.type("javafx.beans.property.ReadOnlyIntegerPropertyBase");
ReadOnlyIntegerWrapper                  = Java.type("javafx.beans.property.ReadOnlyIntegerWrapper");
ReadOnlyListProperty                    = Java.type("javafx.beans.property.ReadOnlyListProperty");
ReadOnlyListPropertyBase                = Java.type("javafx.beans.property.ReadOnlyListPropertyBase");
ReadOnlyListWrapper                     = Java.type("javafx.beans.property.ReadOnlyListWrapper");
ReadOnlyLongProperty                    = Java.type("javafx.beans.property.ReadOnlyLongProperty");
ReadOnlyLongPropertyBase                = Java.type("javafx.beans.property.ReadOnlyLongPropertyBase");
ReadOnlyLongWrapper                     = Java.type("javafx.beans.property.ReadOnlyLongWrapper");
ReadOnlyMapProperty                     = Java.type("javafx.beans.property.ReadOnlyMapProperty");
ReadOnlyMapPropertyBase                 = Java.type("javafx.beans.property.ReadOnlyMapPropertyBase");
ReadOnlyMapWrapper                      = Java.type("javafx.beans.property.ReadOnlyMapWrapper");
ReadOnlyObjectProperty                  = Java.type("javafx.beans.property.ReadOnlyObjectProperty");
ReadOnlyObjectPropertyBase              = Java.type("javafx.beans.property.ReadOnlyObjectPropertyBase");
ReadOnlyObjectWrapper                   = Java.type("javafx.beans.property.ReadOnlyObjectWrapper");
ReadOnlyProperty                        = Java.type("javafx.beans.property.ReadOnlyProperty");
ReadOnlySetProperty                     = Java.type("javafx.beans.property.ReadOnlySetProperty");
ReadOnlySetPropertyBase                 = Java.type("javafx.beans.property.ReadOnlySetPropertyBase");
ReadOnlySetWrapper                      = Java.type("javafx.beans.property.ReadOnlySetWrapper");
ReadOnlyStringProperty                  = Java.type("javafx.beans.property.ReadOnlyStringProperty");
ReadOnlyStringPropertyBase              = Java.type("javafx.beans.property.ReadOnlyStringPropertyBase");
ReadOnlyStringWrapper                   = Java.type("javafx.beans.property.ReadOnlyStringWrapper");
SetProperty                             = Java.type("javafx.beans.property.SetProperty");
SetPropertyBase                         = Java.type("javafx.beans.property.SetPropertyBase");
SimpleBooleanProperty                   = Java.type("javafx.beans.property.SimpleBooleanProperty");
SimpleDoubleProperty                    = Java.type("javafx.beans.property.SimpleDoubleProperty");
SimpleFloatProperty                     = Java.type("javafx.beans.property.SimpleFloatProperty");
SimpleIntegerProperty                   = Java.type("javafx.beans.property.SimpleIntegerProperty");
SimpleListProperty                      = Java.type("javafx.beans.property.SimpleListProperty");
SimpleLongProperty                      = Java.type("javafx.beans.property.SimpleLongProperty");
SimpleMapProperty                       = Java.type("javafx.beans.property.SimpleMapProperty");
SimpleObjectProperty                    = Java.type("javafx.beans.property.SimpleObjectProperty");
SimpleSetProperty                       = Java.type("javafx.beans.property.SimpleSetProperty");
SimpleStringProperty                    = Java.type("javafx.beans.property.SimpleStringProperty");
StringProperty                          = Java.type("javafx.beans.property.StringProperty");
StringPropertyBase                      = Java.type("javafx.beans.property.StringPropertyBase");
ChangeListener                          = Java.type("javafx.beans.value.ChangeListener");
ObservableBooleanValue                  = Java.type("javafx.beans.value.ObservableBooleanValue");
ObservableDoubleValue                   = Java.type("javafx.beans.value.ObservableDoubleValue");
ObservableFloatValue                    = Java.type("javafx.beans.value.ObservableFloatValue");
ObservableIntegerValue                  = Java.type("javafx.beans.value.ObservableIntegerValue");
ObservableListValue                     = Java.type("javafx.beans.value.ObservableListValue");
ObservableLongValue                     = Java.type("javafx.beans.value.ObservableLongValue");
ObservableMapValue                      = Java.type("javafx.beans.value.ObservableMapValue");
ObservableNumberValue                   = Java.type("javafx.beans.value.ObservableNumberValue");
ObservableObjectValue                   = Java.type("javafx.beans.value.ObservableObjectValue");
ObservableSetValue                      = Java.type("javafx.beans.value.ObservableSetValue");
ObservableStringValue                   = Java.type("javafx.beans.value.ObservableStringValue");
ObservableValue                         = Java.type("javafx.beans.value.ObservableValue");
ObservableValueBase                     = Java.type("javafx.beans.value.ObservableValueBase");
WeakChangeListener                      = Java.type("javafx.beans.value.WeakChangeListener");
WritableBooleanValue                    = Java.type("javafx.beans.value.WritableBooleanValue");
WritableDoubleValue                     = Java.type("javafx.beans.value.WritableDoubleValue");
WritableFloatValue                      = Java.type("javafx.beans.value.WritableFloatValue");
WritableIntegerValue                    = Java.type("javafx.beans.value.WritableIntegerValue");
WritableListValue                       = Java.type("javafx.beans.value.WritableListValue");
WritableLongValue                       = Java.type("javafx.beans.value.WritableLongValue");
WritableMapValue                        = Java.type("javafx.beans.value.WritableMapValue");
WritableNumberValue                     = Java.type("javafx.beans.value.WritableNumberValue");
WritableObjectValue                     = Java.type("javafx.beans.value.WritableObjectValue");
WritableSetValue                        = Java.type("javafx.beans.value.WritableSetValue");
WritableStringValue                     = Java.type("javafx.beans.value.WritableStringValue");
WritableValue                           = Java.type("javafx.beans.value.WritableValue");
WeakInvalidationListener                = Java.type("javafx.beans.WeakInvalidationListener");
WeakListener                            = Java.type("javafx.beans.WeakListener");
FXCollections                           = Java.type("javafx.collections.FXCollections");
ListChangeListener                      = Java.type("javafx.collections.ListChangeListener");
ListChangeListener$Change               = Java.type("javafx.collections.ListChangeListener$Change");
MapChangeListener                       = Java.type("javafx.collections.MapChangeListener");
MapChangeListener$Change                = Java.type("javafx.collections.MapChangeListener$Change");
ObservableList                          = Java.type("javafx.collections.ObservableList");
ObservableMap                           = Java.type("javafx.collections.ObservableMap");
ObservableSet                           = Java.type("javafx.collections.ObservableSet");
SetChangeListener                       = Java.type("javafx.collections.SetChangeListener");
SetChangeListener$Change                = Java.type("javafx.collections.SetChangeListener$Change");
WeakListChangeListener                  = Java.type("javafx.collections.WeakListChangeListener");
WeakMapChangeListener                   = Java.type("javafx.collections.WeakMapChangeListener");
WeakSetChangeListener                   = Java.type("javafx.collections.WeakSetChangeListener");
ActionEvent                             = Java.type("javafx.event.ActionEvent");
Event                                   = Java.type("javafx.event.Event");
EventDispatchChain                      = Java.type("javafx.event.EventDispatchChain");
EventDispatcher                         = Java.type("javafx.event.EventDispatcher");
EventHandler                            = Java.type("javafx.event.EventHandler");
EventTarget                             = Java.type("javafx.event.EventTarget");
EventType                               = Java.type("javafx.event.EventType");
Builder                                 = Java.type("javafx.util.Builder");
BuilderFactory                          = Java.type("javafx.util.BuilderFactory");
Callback                                = Java.type("javafx.util.Callback");
BigDecimalStringConverter               = Java.type("javafx.util.converter.BigDecimalStringConverter");
BigIntegerStringConverter               = Java.type("javafx.util.converter.BigIntegerStringConverter");
BooleanStringConverter                  = Java.type("javafx.util.converter.BooleanStringConverter");
ByteStringConverter                     = Java.type("javafx.util.converter.ByteStringConverter");
CharacterStringConverter                = Java.type("javafx.util.converter.CharacterStringConverter");
CurrencyStringConverter                 = Java.type("javafx.util.converter.CurrencyStringConverter");
DateStringConverter                     = Java.type("javafx.util.converter.DateStringConverter");
DateTimeStringConverter                 = Java.type("javafx.util.converter.DateTimeStringConverter");
DefaultStringConverter                  = Java.type("javafx.util.converter.DefaultStringConverter");
DoubleStringConverter                   = Java.type("javafx.util.converter.DoubleStringConverter");
FloatStringConverter                    = Java.type("javafx.util.converter.FloatStringConverter");
FormatStringConverter                   = Java.type("javafx.util.converter.FormatStringConverter");
IntegerStringConverter                  = Java.type("javafx.util.converter.IntegerStringConverter");
LongStringConverter                     = Java.type("javafx.util.converter.LongStringConverter");
NumberStringConverter                   = Java.type("javafx.util.converter.NumberStringConverter");
PercentageStringConverter               = Java.type("javafx.util.converter.PercentageStringConverter");
ShortStringConverter                    = Java.type("javafx.util.converter.ShortStringConverter");
TimeStringConverter                     = Java.type("javafx.util.converter.TimeStringConverter");
Duration                                = Java.type("javafx.util.Duration");
Pair                                    = Java.type("javafx.util.Pair");
StringConverter                         = Java.type("javafx.util.StringConverter");
